Vla-put-colorindex

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-colorindex vla-object1 num)


機能
vlaオブジェクトのカラーインデックスを設定する


引数
  • vla-object1 … カラーインデックスプロパティを持つ VLAオブジェクト
  • num … カラーインデックス番号の整数


戻り値
nil


サンプル
 ; 選択図形の色を RGB=127,255,255 にする。
(setq obj1 (vlax-ename->vla-object (car (entsel))))
(setq tc (vla-get-truecolor obj1))
(vla-SetRGB tc 127 255 255)
(vla-Put-TrueColor obj1 tc)
nil


(defun c:layer2trucolor(/ lay tc idx)
  ; レイヤーのACIカラーをRGBカラーに変換
  (vl-load-com)
  (setq *acaddoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
  (vlax-for lay (vla-get-layers *acaddoc*)
    (setq tc (vla-get-truecolor lay))
    (if (= (vla-get-colormethod tc) acColorMethodByACI)
      (progn
        (setq idx (vla-get-colorindex tc))           
        (vla-put-colormethod tc accolormethodbyrgb)
        (vla-put-colorindex tc idx)
        (setq r (vla-get-red tc)
              g (vla-get-green tc)
              b (vla-get-blue tc))
        (vla-setrgb tc r g b)
        (vla-put-truecolor lay tc)
      ))))

関連事項